import request from '@/utils/request'

/** 首页统计 */
export function indexStatistics() {
  return request({
    url: "/customer/index/statis",
    method: "get",
    params: {},
  });
}

// TO-DO
// 首页搜索

/** 热门目录 */
export function hotcatalogue(query) {
  return request({
    url: "/customer/index/hotcatalogue",
    method: "get",
    params: query,
  });
}

/** 热门数据 */
export function hotdatalist(query) {
  return request({
    url: "/customer/index/hotdatalist",
    method: "get",
    params: query,
  });
}

/** 热门服务 */
export function hotservicelist(query) {
  return request({
    url: "/customer/index/hotservicelist",
    method: "get",
    params: query,
  });
}

/** 热门文献 */
export function hotliteratur(query) {
  return request({
    url: "/customer/index/hotliteratur",
    method: "get",
    params: query,
  });
}

/** 专题 */
export function topiclist(query) {
  return request({
    url: "/customer/index/topiclist",
    method: "get",
    params: query,
  });
}
